## open-infrastructure-service-tools 20250626

=== Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT = open-infrastructure
SOFTWARE = service-tools

VERSION := $(shell cat VERSION.txt)

TOOLS := $(shell find . -mindepth 1 -maxdepth 1 -type d -and -not -name ".*" -and -not -name debian)

all: build

test:
	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} test; \
		echo; \
	done

build:
	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} build; \
		echo; \
	done

install: build
	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} install; \
		echo; \
	done

uninstall:
	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} uninstall; \
		echo; \
	done

clean:
	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} clean; \
		echo; \
	done

distclean:
	rm -rf $(SOFTWARE)-$(VERSION)

	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} distclean; \
		echo; \
	done

reinstall: uninstall install

release: distclean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir $(SOFTWARE)-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(SOFTWARE)-$(VERSION) -exec cp \-a {} $(SOFTWARE)-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} $(SOFTWARE)-$(VERSION); \
		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} > ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sha512; \
		gpg --default-key 0x49398AF25C60E52D --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
		mv ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.asc ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sig; \
	done

	rm -rf $(SOFTWARE)-$(VERSION)

upload:
	scp ../$(SOFTWARE)-$(VERSION).* get.open-infrastructure.net:/srv/get.open-infrastructure.net/software/$(SOFTWARE)/upstream

=== apache/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT = open-infrastructure
SOFTWARE = service-tools
PROGRAM = apache-icons

all: build

test:

build: share/man/*.rst
	$(MAKE) -C share/man

	sed -n '/^===/,$$p' share/man/$(SOFTWARE).7.rst > README.txt

	for ICON in share/icons/*; \
	do \
		ICON="$$(basename $${ICON})"; \
		mkdir -p build/$${ICON}-png; \
		mkdir -p build/$${ICON}-svg; \
		while read LINE; \
		do \
			TARGET="$$(echo $${LINE} | awk '{ print $$1 }')"; \
			SOURCE="$$(echo $${LINE} | awk '{ print $$2 }')"; \
			echo "Converting $${SOURCE} to $${TARGET}..."; \
			rsvg-convert -f svg -h 22 -w 22 share/icons/$${ICON}/$${SOURCE} > build/$${ICON}-svg/$${TARGET}.svg; \
			rsvg-convert share/icons/$${ICON}/$${SOURCE} > build/$${ICON}-png/$${TARGET}.orig.png; \
			convert -resize 22x22 build/$${ICON}-png/$${TARGET}.orig.png build/$${ICON}-png/$${TARGET}.png; \
			rm -f build/$${ICON}-png/$${TARGET}.orig.png; \
		done < share/maps/$${ICON}.txt; \
		sed -e 's|@FORMAT@|png|' share/apache/icon.conf.in > build/$${ICON}-png.conf; \
		sed -e 's|@FORMAT@|svg|' share/apache/icon.conf.in > build/$${ICON}-svg.conf; \
	done

install: build
	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
	cp -r ../VERSION.txt $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
	cp -r build/* $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)

	for DIRECTORY in $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/*-png; \
	do \
		cp -a share/common/*.png $${DIRECTORY}; \
	done

	for DIRECTORY in $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/*-svg; \
	do \
		cp -a share/common/*.svg $${DIRECTORY}; \
	done

	mkdir -p $(DESTDIR)/etc/apache2/conf-available
	cp -a share/apache/conf/* $(DESTDIR)/etc/apache2/conf-available

	mkdir -p $(DESTDIR)/etc/apache2/mods-available
	cp -a share/apache/mods/* $(DESTDIR)/etc/apache2/mods-available

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r ../CHANGELOG.txt ../LICENSE.txt README.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	for FILE in share/apache/conf/*; \
	do \
		rm -f $(DESTDIR)/etc/apache2/conf-available/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/apache2/conf-available || true

	for FILE in share/apache/mods/*; \
	do \
		rm -f $(DESTDIR)/etc/apache2/mods-available/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/apache2/mods-available || true

	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PROJECT) || true

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc/$(SOFTWARE) || true

clean:
	$(MAKE) -C share/man clean

	rm -rf build
	rm -f README.txt

distclean: clean

reinstall: uninstall install

.PHONY: build

=== dehydrated/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/* share/hooks/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC1090 -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build: share/man/*.rst
	$(MAKE) -C share/man

install: build
	mkdir -p $(DESTDIR)/etc/dehydrated/hook.d

	mkdir -p $(DESTDIR)/etc/cron.d
	cp -r share/cron/* $(DESTDIR)/etc/cron.d

	mkdir -p $(DESTDIR)/etc/cron.daily
	ln -s /usr/bin/dehydrated-cron $(DESTDIR)/etc/cron.daily/dehydrated

	mkdir -p $(DESTDIR)/etc/logrotate.d
	cp -r share/logrotate/* $(DESTDIR)/etc/logrotate.d

	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/share/dehydrated/hooks
	cp -r share/hooks/* $(DESTDIR)/usr/share/dehydrated/hooks

	ln -sf /usr/bin/dehydrated-nsupdate $(DESTDIR)/usr/share/dehydrated/hooks/clean_challenge.nsupdate
	ln -sf /usr/bin/dehydrated-nsupdate $(DESTDIR)/usr/share/dehydrated/hooks/deploy_challenge.nsupdate

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -rf $(DESTDIR)/usr/share/dehydrated/hooks
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/dehydrated || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	for FILE in share/logrotate/*; \
	do \
		rm -f $(DESTDIR)/etc/logrotate.d/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/logrotate.d || true

	rm -f $(DESTDIR)/etc/cron.daily/dehydrated
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/cron.daily || true

	for FILE in share/cron/*; \
	do \
		rm -f $(DESTDIR)/etc/cron.d/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/cron.d || true

	rm -rf $(DESTDIR)/etc/dehydrated/hook.d
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/dehydrated || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:
	$(MAKE) -C share/man clean

distclean: clean

reinstall: uninstall install

=== git/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/* share/hooks/* share/hooks/*/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			if [ ! -d $${SCRIPT} ]; \
			then \
				shellcheck -e SC2039 $${SCRIPT} || true; \
				echo -n "."; \
			fi; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/share/git/hooks
	cp -r share/hooks/* $(DESTDIR)/usr/share/git/hooks

uninstall:
	rm -rf $(DESTDIR)/usr/share/git/hooks
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/git || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== irker/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			if [ ! -d $${SCRIPT} ]; \
			then \
				shellcheck -e SC1090 -e SC2039 $${SCRIPT} || true; \
				echo -n "."; \
			fi; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

uninstall:
	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== knot/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/etc/cron.d
	cp -r share/cron/* $(DESTDIR)/etc/cron.d

	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

uninstall:
	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	for FILE in share/cron/*; \
	do \
		rm -f $(DESTDIR)/etc/cron.d/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/cron.d || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== linux/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build: share/man/*.rst
	$(MAKE) -C share/man

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/lib/systemd/system
	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	for FILE in share/systemd/*; \
	do \
		rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
	done

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:
	$(MAKE) -C share/man clean

distclean:

reinstall: uninstall install

=== openssh/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = share/bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build: share/man/*.rst
	$(MAKE) -C share/man

install: build
	mkdir -p $(DESTDIR)/usr/share/openssh-tools
	cp -r share/bin $(DESTDIR)/usr/share/openssh-tools

	mkdir -p $(DESTDIR)/etc/ssh/sshd_config.d
	cp -r share/openssh-server/* $(DESTDIR)/etc/ssh/sshd_config.d

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	for FILE in share/openssh-server/*; \
	do \
		rm -f $(DESTDIR)/etc/ssh/sshd_config.d/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/ssh/sshd_config.d || true

	rm -f $(DESTDIR)/usr/share/openssh-tools
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/openssh-tools || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:
	$(MAKE) -C share/man clean

distclean:

reinstall: uninstall install

=== vim/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

uninstall:
	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== apache/share/man/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../../../VERSION.txt)

SHELL := sh -e

all: build

build: man

rebuild: clean build

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} service-tools |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

.PHONY: all clean build rebuild man

=== linux/share/man/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../../../VERSION.txt)

SHELL := sh -e

all: build

build: man

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} service-tools |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

distclean: clean

rebuild: clean build

=== debian/changelog ===
open-infrastructure-service-tools (20250626-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:18:05 +0200

open-infrastructure-service-tools (20250626-1) experimental; urgency=medium

  * Merging upstream version 20250626.
  * Updating openssh-tools preseeding for ssh-pubkey rename.

 -- Daniel Baumann <daniel@debian.org>  Thu, 26 Jun 2025 09:26:34 +0200

open-infrastructure-service-tools (20250625-1) experimental; urgency=medium

  * Merging upstream version 20250625.
  * Trimming debian changelog.
  * Correcting public-domain identifier in copyright.
  * Updating my email address.
  * Updating to standards version 4.7.2.
  * Updating year in copyright for 2025.
  * Updating upstream signing key for 2025.
  * Harmonizing dehydrated-tools debconf templates.
  * Adding openssh-tools in control.
  * Adding openssh-tools debconf support.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2025 20:57:56 +0200

=== debian/control ===
Source: open-infrastructure-service-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2,
 imagemagick,
 librsvg2-bin,
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://open-infrastructure.net/software/service-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools

Package: open-infrastructure-service-tools
Section: admin
Architecture: all
Depends:
 apache2-data,
 ${misc:Depends},
Description: additional tools to ease system administration and integration
 This package contains some usefull tools, e.g.:
 .
   * alternative icons for Apache autoindex (Tango Icons and Font Awesome
     based themes)

#Package: open-infrastructure-apache-tools
#Section: admin
#Architecture: all
#Depends:
# apache2-data,
# ${misc:Depends},
#Provides:
# apache-tools,
#Enhances:
# apache,
#Description: additional tools for Apache HTTP server
# This package contains additional tools for the Apache HTTP server.

#Package: open-infrastructure-apt-tools
#Section: admin
#Architecture: all
#Depends:
# apt,
# ${misc:Depends},
#Provides:
# apt-tools,
#Enhances:
# apt,
#Description: additional tools for apt
# This package contains additional tools for apt.

#Package: open-infrastructure-dehydrated-tools
#Section: admin
#Architecture: all
#Depends:
# dehydrated,
# ssl-cert,
# ${misc:Depends},
#Provides:
# dehydrated-tools,
#Enhances:
# dehydrated,
#Description: additional tools for dehydrated Letsencrypt client
# This package contains additional tools for the dehydrated Letsencrypt client.

#Package: open-infrastructure-dnsdist-tools
#Section: admin
#Architecture: all
#Depends:
# dnsdist,
# ${misc:Depends},
#Provides:
# dnsdist-tools,
#Enhances:
# dnsdist,
#Description: additional tools for dnsdist
# This package contains additional tools for the dnsdist.

#Package: open-infrastructure-git-tools
#Section: admin
#Architecture: all
#Depends:
# git,
# ${misc:Depends},
#Provides:
# git-tools,
#Enhances:
# git,
#Description: additional tools for Git version control system
# This package contains additional tools for the Git version control system.

#Package: open-infrastructure-irker-tools
#Section: admin
#Architecture: all
#Depends:
# irker,
# ${misc:Depends},
#Provides:
# irker-tools,
#Enhances:
# irker,
#Description: additional tools for irker IRC notification daemon
# This package contains additional tools for the irker IRC notification daemon:

#Package: open-infrastructure-kea-tools
#Section: admin
#Architecture: all
#Depends:
# kea,
# ${misc:Depends},
#Provides:
# kea-tools,
#Enhances:
# kea,
#Description: additional tools for kea DHCP server
# This package contains additional tools for the kea DHCP server.

#Package: open-infrastructure-knot-tools
#Section: admin
#Architecture: all
#Depends:
# knot,
# ${misc:Depends},
#Provides:
# knot-tools,
#Enhances:
# knot,
#Description: additional tools for knot DNS server
# This package contains additional tools for the knot DNS server.

#Package: open-infrastructure-knot-resolver-tools
#Section: admin
#Architecture: all
#Depends:
# knot-resolver,
# socat,
# ${misc:Depends},
#Provides:
# knot-resolver-tools,
#Enhances:
# knot-resolver,
#Description: additional tools for knot DNS resolver
# This package contains additional tools for the knot DNS resolver.

#Package: open-infrastructure-linux-tools
#Section: admin
#Architecture: all
#Depends:
# ethtool,
# ${misc:Depends},
#Provides:
# linux-tools,
#Enhances:
# ethtool,
#Description: additional tools for Linux kernel related things
# This package contains additional tools for the Linux kernel.

#Package: open-infrastructure-openssh-tools
#Section: admin
#Architecture: all
#Depends:
# openssh-server,
# ${misc:Depends},
#Provides:
# openssh-tools,
#Enhances:
# openssh-server,
#Description: additional tools for OpenSSH related things
# This package contains additional tools for OpenSSH.

#Package: open-infrastructure-supermicro-tools
#Section: admin
#Architecture: all
#Depends:
# ipcalc-ng,
# knot-dnsutils | bind9-dnsutils,
# supermicro-ipmicfg,
# ${misc:Depends},
#Provides:
# supermicro-tools,
#Enhances:
# supermicro-ipmicfg,
#Description: additional tools for Supermicro servers
# This package contains additional tools for Supermicro servers.

#Package: open-infrastructure-vim-tools
#Section: admin
#Architecture: all
#Depends:
# vim,
# ${misc:Depends},
#Provides:
# vim-tools,
#Enhances:
# vim,
#Description: additional tools for vim text editor
# This package contains additional tools for the vim text editor.

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://get.open-infrastructure.net/software/service-tools/upstream/service-tools-(.+)\.tar\.lz
